Summary: Vietnamese Color xterm
Name: vnterm
Version: 3.2
Release: 7
Source: vnterm.3.2.tar.gz
Patch0: vnterm-xfree86.patch
Copyright: MIT 
Group: X11/Applications
# requires the locale definition for vietnamese
Requires: locales-vi
BuildRoot: /tmp/vnterm-root
Summary(vi): Terminal mu cho ting Vit

%description
vnterm allows typing vietnamese using VISQR method; it also allows
reading 7bit VISQR. Also displays the ANSI color codes in addition
to performing as a standard xterm/VT100 terminal emulator.

%description -l vi
Ch߽ng trnh 'vnterm' cho php g ting Vit
bng ph߽ng php VIQR; n cng cho php c cc file,
k t d߾i dng 7bit theo qui ߾c VIQR. Ch߽ng trnh
ny cng cho php biu hin cc m mu ANSI hon
thin hn cho ch߽ng trnh chun xterm/VT100.

%changelog

* Thu Nov 12 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added vietnamese descriptions (contributed by DaiQuy.nguyen@ulg.ac.be)

* Sun Sep 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- Ported to Linux by merging whith XFree86 xterm sources

%post
cd /usr/X11R6/lib/X11/fonts/misc
mkfontdir

%postun
cd /usr/X11R6/lib/X11/fonts/misc
mkfontdir

%prep
%setup -c -n vnterm
%patch0 -p1

%build
cd vnterm.3.2
xmkmf
make XAWLIB=-lXaw3d SCROLLBAR_RIGHT=-DSCROLLBAR_RIGHT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
install -c -s  -m 4711 vnterm.3.2/vnterm  $RPM_BUILD_ROOT/usr/X11R6/bin/vnterm
install -m 644 vnterm.3.2/VNTerm.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/VNTerm
install -m 644 vnterm.3.2/vnterm.1V $RPM_BUILD_ROOT/usr/X11R6/man/man1/vnterm.1
gzip -9 $RPM_BUILD_ROOT/usr/X11R6/man/man1/vnterm.1
cp fonts/X/*pcf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc vnterm.3.2/VIQR.7 vnterm.3.2/VISCII.8 vnterm.3.2/README
/usr/X11R6/bin/vnterm
/usr/X11R6/man/man1/vnterm.1.gz
%config /usr/X11R6/lib/X11/app-defaults/VNTerm
/usr/X11R6/lib/X11/fonts/misc/*
